<% logger.info "===total--#{@total}" %>
<% logger.info "===total--#{@end}" %>
<% if @total <= 10 || @end == @total %>
    $('.load-more-btn').hide()
<% else %>
    $('.load-more-btn').show()
<% end %>
<% if params[:job_search][:page].to_i == 1 %>
    $('.jobs_list').empty().append("<%= escape_javascript(render partial: 'jobs_list', '@jobs': @jobs, '@total': @total, type: params[:type])%>")
    $('.jobs_list').show()
    $('#page_number').val("<%= params[:job_search][:page] %>")
<% else %>
    $('.search-lists').append("<%= escape_javascript(render partial: 'job_listing', '@jobs': @jobs)%>")
    var count = "<%= @jobs.count * (params[:job_search][:page].to_i) %>"
    $('#page_number').val("<%= params[:job_search][:page] %>")
    $('.jobs_list .title').empty().html('Displaying ' + count + ' Jobs')
<% end %>


$('.load_jobs').on('click', function(e){
    console.log("=================in search==============");
    e.preventDefault();
    var that = $(this);
    that.off('click');
    // var region = $("#job_region").val()
    // var search = ''
    // var city = $('#city').val()
    // var job_type = $('#job_type').val()
    // var pub_date = $('#publish_date').val()
    // var company = $('#company_name_search').val()
    // var country = $('#country').val()
    var region = $("#job_region").val()
    var search = ''
    var city = $('#city').val()
    var job_type = $('#job_type').val()
    var pub_date = $('#publish_date').val()
    var company = $('#company_name_search').val()
    var country = $('#country').val()
    // var sort = $("input[type=radio][name=sort]").val()
    var sort = $('#sort_by_val').val()
    if($('#job_search_keyword').val() != ""){
        console.log('========1=========');
        search = $('#job_search_keyword').val()
    }else{
        console.log('========2=========');
        search = $('#keyword').val()
    }
    var page = parseInt($('#page_number').val())
    // var sort = $("input[type=radio][name=sort]").val()
    // var sort = $('#sort_by_val').val()
    // if(($('#job_search_keyword').val() != "") && ($('#keyword').val() != "")){
    //     console.log('========1=========');
    //     search = $('#job_search_keyword').val() + ", " + $('#keyword').val()
    // }else if (($('#job_search_keyword').val() != "") && ($('#keyword').val() == "")) {
    //     search = $('#job_search_keyword').val()
    // }else if (($('#job_search_keyword').val() == "") && ($('#keyword').val() != "")) {
    //     search = $('#keyword').val()
    // }else{
    //     console.log('========2=========');
    //     search = ''
    // }
    // if($('#job_search_company_name').val() != undefined){
    //     company = $('#job_search_company_name').val()
    // }else {
    //     company = $('#company_name').val()
    // }
    // console.log(company);
    //
    // if(company != ''){
    //     if(search != ''){
    //         search = search + 'company:' + company
    //     }
    //     else{
    //         search = 'company:' + company
    //     }
    // }
    //
    // if($("input[type=radio][name=job_region]").val() == 'International'){
    //     country = $('#job_search_country').val()
    // }
    console.log(search);
    $('.loader').show()
    $.ajax({
        // url: '../jobs/search',
        url: '/jobs/search',
        dataType: 'script',
        method: 'post',
        data: { 'job_search[job_region]': region, 'job_search[search]': search, 'job_search[job_type]': job_type, 'job_search[publish_date]': pub_date, 'job_search[city]': city, 'job_search[page]': page + 1, 'job_search[country]': country, 'job_search[company_name]': company, 'sort': sort },
        success: function(response){
            // $('.loader').hide()

            (function($){
              $(window).on("load",function(){
                $(".vr_scroll").mCustomScrollbar({
                  axis:"y",
                  theme:"dark-3",
                  advanced: {
                    autoExpandVerticalScroll:true //optional (remove or set to false for non-dynamic/static elements)
                  }
                });
              });
            })(jQuery);
            // e.stopImmediatePropagation();
        },
        failure: function(response){
            // $('.loader').hide()
        }
    }).always(function() {
        // $('.loader').hide()
        that.on('click') // add handler back after ajax
    });
    // $('.loader').hide()
})
